This is still happening with 2.10.4.  Any suggestions?<div><br></div><div>







<p class="p1"><b>dyld: Symbol not found: _MONO_DEBUGGER__debugger_info</b></p>
<p class="p2"><b>  Referenced from: /Library/Frameworks/Mono.framework/Versions/2.10.4/lib/libmonosgen-2.0.0.dylib</b></p>
<p class="p2"><b>  Expected in: flat namespace</b></p>
<p class="p3"><b> in /Library/Frameworks/Mono.framework/Versions/2.10.4/lib/libmonosgen-2.0.0.dylib</b></p><p class="p3"><b><br></b></p><br><div class="gmail_quote">On Fri, Feb 25, 2011 at 4:59 PM, Duane Wandless <span dir="ltr">&lt;<a href="mailto:duane@wandless.net">duane@wandless.net</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">I found this reference:<div><a href="http://go-mono.com/forums/#nabble-td2277117" target="_blank">http://go-mono.com/forums/#nabble-td2277117</a></div>
<div><br></div><div>Which says:</div><div><span style="border-collapse:collapse;font-family:Verdana, Geneva, Helvetica, Arial, sans-serif;font-size:13px">You&#39;ve configured mono without debugger support (--disable-mono-debugger), <br>

which is currently broken (it should get fixed later today). </span><br><br></div><div>I did not compile libmonosgen.... that is the 2.8.2 install.  So is libmonosgen being incorrectly compiled?</div><div><br></div><font color="#888888"><div>
Duane</div></font><div><div></div><div class="h5">
<div><br></div><div><br><div class="gmail_quote">On Thu, Feb 17, 2011 at 4:00 PM, Duane Wandless <span dir="ltr">&lt;<a href="mailto:duane@wandless.net" target="_blank">duane@wandless.net</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

I am trying to embed the sgen libraries (on Snow Leopard) but receiving this error at runtime:<div><br></div><div>







<p><b>dyld: Symbol not found: _MONO_DEBUGGER__debugger_info</b></p>
<p><b>  Referenced from: /Library/Frameworks/Mono.framework/Versions/2.8.2/lib/libmonosgen-2.0.0.dylib</b></p>
<p><b>  Expected in: dynamic lookup</b></p></div><div><br></div><div><div>Linker flags: -pthread -L/Library/Frameworks/Mono.framework/Versions/Current/lib -lmonosgen-2.0 -lpthread -rpath@loader_path/../Libraries</div>
</div><div><br></div><div><div># otool -L InitMono.dylib </div><div>InitMono.dylib:</div><div><span style="white-space:pre-wrap">        </span>@loader_path/../Libraries/InitMono.dylib (compatibility version 1.0.0, current version 1.0.0)</div>


<div><span style="white-space:pre-wrap">        </span>/Library/Frameworks/Mono.framework/Versions/2.8.2/lib/libmonosgen-2.0.0.dylib (compatibility version 1.0.0, current version 1.0.0)</div><div><span style="white-space:pre-wrap">        </span>/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 111.1.4)</div>


<div><span style="white-space:pre-wrap">        </span>/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 12.0.0)</div><div><span style="white-space:pre-wrap">        </span>/usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0)</div>


<div><span style="white-space:pre-wrap">        </span>/usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current version 227.0.0)</div><div><span style="white-space:pre-wrap">        </span>/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 476.19.0)</div>


<div><span style="white-space:pre-wrap">        </span>/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation (compatibility version 300.0.0, current version 677.26.0)</div></div><div><br></div><div>
<br></div><div>Of course changing the -lmonosgen-2.0 to -lmono-2.0 and everything works as expected.</div><div><br></div><div>Any suggestions on how to fix the symbol not found for embedding the sgen library are greatly appreciated.  Or if there is a different means to embed please let me know.</div>


<div><br></div><div><br></div><div>Thanks,</div><div>Duane</div>
</blockquote></div><br></div>
</div></div></blockquote></div><br></div>